%define upstream_name    Alias
%define upstream_version 2.32

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:	CPAN %{upstream_name} module for aliasing services
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Alias/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alias-2.32-Dont-use-GvCV-as-an-lvalue.patch

BuildRequires:	perl-devel

%description
This Perl module performs aliasing services. You may find this
module useful if you:
   * are tired of dereferencing hash-based object attributes
   * wish perl could make-do with fewer $, -> and {} things
   * are a little scared of using typeglobs
   * want the freedom to put what you want, when you want in
     the symbol table without having to deal with weird syntax
   * need to use scalar constants in your program since you don't
     trust yourself from changing $PI

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/Alias.pm
%{perl_vendorarch}/auto/Alias/*
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 pterjan <pterjan> 2.320.0-26.mga9
+ Revision: 1863422
- Fix source
+ umeabot <umeabot>
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.320.0-23.mga9
+ Revision: 1726387
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.320.0-22.mga8
+ Revision: 1594243
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.320.0-21.mga8
+ Revision: 1529357
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 2.320.0-20.mga8
+ Revision: 1433324
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.320.0-19.mga7
+ Revision: 1290280
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.320.0-18.mga7
+ Revision: 1248984
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.320.0-17.mga7
+ Revision: 1162793
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.320.0-16.mga7
+ Revision: 1148640
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.320.0-15.mga7
+ Revision: 1127208
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.320.0-14.mga6
+ Revision: 1022266
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.320.0-13.mga6
+ Revision: 956673
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 2.320.0-12.mga6
+ Revision: 844180
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.320.0-11.mga5
+ Revision: 741188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.320.0-10.mga5
+ Revision: 683461
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.320.0-9.mga5
+ Revision: 630789
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.320.0-8.mga4
+ Revision: 524666
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.320.0-7.mga4
+ Revision: 431364
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.320.0-6.mga3
+ Revision: 362916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.320.0-5.mga3
+ Revision: 250260
- rebuild for perl 5.16

* Sun Aug 21 2011 shlomif <shlomif> 2.320.0-4.mga2
+ Revision: 134712
- Better patch that passes the tests. Rebuild to get rid of perlapi-5.12.2
+ jquelin <jquelin>
- make it build with perl 5.14
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.320.0-2.mga1
+ Revision: 29781
- mageia rebuild
- imported package perl-Alias

